Index: code/trunk/src/orxonox/objects/pickup/PickupSpawner.h
===================================================================
--- code/trunk/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3068)
+++ code/trunk/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3073)
@@ -1,67 +1,122 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of PickupSpawner.
+*/
+
 #ifndef _PickupSpawner_H__
 #define _PickupSpawner_H__
 
 #include "OrxonoxPrereqs.h"
-#include "BaseItem.h"
+
+#include "core/BaseObject.h"
+#include "objects/Tickable.h"
+#include "objects/worldentities/StaticEntity.h"
 #include "tools/Timer.h"
-#include "objects/worldentities/StaticEntity.h"
-#include "objects/Tickable.h"
 
 namespace orxonox
 {
-	class _OrxonoxExport PickupSpawner : public StaticEntity, public Tickable
-	{
-	public:
-	PickupSpawner(BaseObject* creator);
-	virtual ~PickupSpawner();
-	virtual void changedActivity();
-	virtual void tick(float dt);
-	virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-	virtual void triggering(Pawn* trigger); // Wenn ein Spieler in die Naehe kommt
-	void triggerRespawnTimer();
+    class BaseItem;
 
-	/*inline void setVisibility(bool visible)
-		{ this->setActive(visible); }
-	inline float getVisibility() const
-		{ return this->isActive(); }*/
+    /**
+        @brief PickupSpawner.
+        @author Daniel 'Huty' Haggenmueller
+    */
+    class _OrxonoxExport PickupSpawner : public StaticEntity, public Tickable
+    {
+    public:
+        PickupSpawner(BaseObject* creator);
+        virtual ~PickupSpawner();
 
-	void setItemTemplate(const std::string& itemtemplate);
-	inline const std::string& getItemTemplate() const
-		{ return this->itemtemplate_; }
+        virtual void changedActivity();                                 //!< Invoked when activity has changed (set visibilty).
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
+        virtual void tick(float dt);
 
-	inline void setDistance(float distance)
-		{ this->distance_ = distance; }
-	inline float getDistance() const
-		{ return this->distance_; }
-	inline void setRespawnTimer (float respawntimer)
-		{ this->respawntimer_ = respawntimer; }
-	inline float getRespawnTimer() const
-		{ return this->respawntimer_; }
+        void trigger(Pawn* pawn);                                       //!< Method called when a Pawn is close enough.
+        void respawnTimerCallback();                                    //!< Method called when the timer runs out.
 
-	private:
-	std::string itemtemplate_;
-	Template* template_;
-	float distance_;
-	float respawntimer_;
-	Timer<BaseObject> RespawnTimer_;
-	};
+        /**
+            @brief Get the template name for the item to spawn.
+            @return Returns the name of the template of the item to spawn.
+        */
+        inline const std::string& getItemTemplateName() const
+            { return this->itemTemplateName_; }
+        void setItemTemplateName(const std::string& name);              //!< Set the template name of the item to spawn.
+
+        /**
+            @brief Get the template for the item to spawn.
+            @return Returns the template of the item to spawn.
+        */
+        inline Template* getItemTemplate() const
+            { return this->itemTemplate_; }
+
+        /**
+            @brief Get the distance in which to trigger.
+            @return Returns the distance in which this gets triggered.
+        */
+        inline float getTriggerDistance() const
+            { return this->triggerDistance_; }
+        /**
+            @brief Set the distance in which to trigger.
+            @param value The new distance in which to trigger.
+        */
+        inline void setTriggerDistance(float value)
+            { this->triggerDistance_ = value; }
+
+        /**
+            @brief Get the time to respawn.
+            @returns Returns the time after which this gets re-actived.
+        */
+        inline float getRespawnTime() const
+            { return this->respawnTime_; }
+        /**
+            @brief Set the time to respawn.
+            @param time New time after which this gets re-actived.
+        */
+        inline void setRespawnTime(float time)
+            { this->respawnTime_ = time; }
+    private:
+        std::string itemTemplateName_;          //!< Template name of the item to spawn.
+        Template* itemTemplate_;                //!< Template of the item to spawn.
+
+        float triggerDistance_;                 //!< Distance in which this gets triggered.
+
+        /* Pickup animation */
+        float tickSum_;                         //!< Adds up tick to use in sine movement
+        static const float bounceSpeed_s;       //!< Speed of pickup to bounce up and down
+        static const float bounceDistance_s;    //!< Distance the pickup bounces up and down
+        static const float rotationSpeed_s;     //!< Rotation speed of pickup
+
+        float respawnTime_;                     //!< Time after which this gets re-actived.
+        Timer<PickupSpawner> respawnTimer_;     //!< Timer used for re-activating.
+    };
 }
 
 #endif /* _PickupSpawner_H__ */
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
Index: code/trunk/src/orxonox/objects/pickup/UsableItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/pickup/UsableItem.cc	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/UsableItem.cc	(revision 3073)
@@ -0,0 +1,52 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+        
+/**
+    @file
+    @brief Implementation of UsableItem.
+*/
+
+#include "UsableItem.h"
+
+#include "core/CoreIncludes.h"
+
+namespace orxonox
+{
+    /**
+        @brief Constructor. Registers the UsableItem.
+        @param creator Pointer to the object which created this item.
+    */
+    UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator) 
+    {
+        RegisterObject(UsableItem);
+    }
+    //! Deconstructor.
+    UsableItem::~UsableItem()
+    {
+    }
+}
Index: code/trunk/src/orxonox/objects/pickup/UsableItem.h
===================================================================
--- code/trunk/src/orxonox/objects/pickup/UsableItem.h	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/UsableItem.h	(revision 3073)
@@ -0,0 +1,61 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of UsableItem.
+*/
+
+#ifndef _UsableItem_H__
+#define _UsableItem_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "BaseItem.h"
+
+namespace orxonox
+{
+    /**
+        @brief Base class for all usable items (not usable yet).
+        @author Daniel 'Huty' Haggenmueller
+    */
+    class _OrxonoxExport UsableItem : public BaseItem
+    {
+    public:
+        UsableItem(BaseObject* creator);
+        virtual ~UsableItem();
+
+        /**
+            @brief Method invoked when the item is being used.
+            @param pawn Pawn which is using the item.
+        */
+        virtual void used(Pawn* pawn) { }
+    };
+}
+
+#endif /* _UsableItem_H__ */
Index: code/trunk/src/orxonox/objects/pickup/items/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/CMakeLists.txt	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/CMakeLists.txt	(revision 3073)
@@ -0,0 +1,5 @@
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  HealthImmediate.cc
+  HealthUsable.cc
+  Jump.cc
+)
Index: code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.cc
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3073)
@@ -0,0 +1,76 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Implementation of HealthImmediate.
+*/
+
+#include "HealthImmediate.h"
+
+#include "objects/worldentities/pawns/Pawn.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "core/Core.h"
+
+namespace orxonox
+{
+    CreateFactory(HealthImmediate);
+
+    HealthImmediate::HealthImmediate(BaseObject* creator) : PassiveItem(creator)
+    {
+        RegisterObject(HealthImmediate);
+
+        this->recoveredHealth_ = 0;
+    }
+    HealthImmediate::~HealthImmediate()
+    {
+    }
+
+    void HealthImmediate::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(HealthImmediate, XMLPort, xmlelement, mode);
+
+        XMLPortParam(HealthImmediate, "recoveredHealth", setRecoveredHealth, getRecoveredHealth, xmlelement, mode);
+    }
+
+    bool HealthImmediate::pickedUp(Pawn* pawn)
+    {
+        float maxH = pawn->getMaxHealth();
+        float curH = pawn->getHealth();
+
+        if (curH < maxH)
+        {
+            pawn->addHealth(this->recoveredHealth_);
+            delete this;
+        }
+
+        return (curH < maxH);
+    }
+}
Index: code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.h
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3073)
@@ -0,0 +1,68 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of HealthImmediate.
+*/
+
+#ifndef _HealthImmediate_H__
+#define _HealthImmediate_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "../PassiveItem.h"
+
+namespace orxonox
+{
+    class Pawn;
+
+    /**
+        @brief Health-item, immediatly recovers health when picked up.
+    */
+    class _OrxonoxExport HealthImmediate : public PassiveItem
+    {
+    public:
+        HealthImmediate(BaseObject* creator);
+        virtual ~HealthImmediate();
+
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+        virtual bool pickedUp(Pawn* pawn);
+
+        inline float getRecoveredHealth() const
+            { return this->recoveredHealth_; }
+        inline void setRecoveredHealth(float recovery)
+            { this->recoveredHealth_ = recovery; }
+
+    private:
+        float recoveredHealth_;
+    };
+}
+
+#endif /* _HealthImmediate_H__ */
Index: code/trunk/src/orxonox/objects/pickup/items/HealthUsable.cc
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3073)
@@ -0,0 +1,105 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Implementation of HealthUsable.
+*/
+
+#include "HealthUsable.h"
+#include "../DroppedItem.h"
+
+#include "objects/worldentities/pawns/Pawn.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "core/Core.h"
+
+namespace orxonox
+{
+    CreateFactory(HealthUsable);
+
+    /**
+        @brief Constructor
+        @param creator Object that created this item.
+    */
+    HealthUsable::HealthUsable(BaseObject* creator) : UsableItem(creator)
+    {
+        RegisterObject(HealthUsable);
+
+        this->recoveredHealth_ = 0;
+    }
+    //! Deconstructor
+    HealthUsable::~HealthUsable()
+    {
+    }
+    /**
+        @brief XMLPort for Jump.
+        @param xmlelement Element of the XML-file.
+        @param mode XMLPort mode to use.
+    */
+    void HealthUsable::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(HealthUsable, XMLPort, xmlelement, mode);
+
+        XMLPortParam(HealthUsable, "recoveredHealth", setRecoveredHealth, getRecoveredHealth, xmlelement, mode);
+    }
+    /**
+        @brief Called when the item is used, makes the user "jump".
+        @param pawn Pawn which used te item.
+    */
+    void HealthUsable::used(Pawn* pawn)
+    {
+        float maxH = pawn->getMaxHealth();
+        float curH = pawn->getHealth();
+
+        if (curH < maxH) {
+            pawn->addHealth(this->recoveredHealth_);
+
+            this->removeFrom(pawn);
+            delete this;
+        }
+    }
+    /**
+        @brief Called when the item is picked up.
+        @param pawn Pawn which picked up the item.
+    */
+    bool HealthUsable::pickedUp(Pawn* pawn)
+    {
+        return this->addTo(pawn);
+    }
+    /**
+        @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
+        @param pawn Pawn which dropped the item.
+    */
+    bool HealthUsable::dropped(Pawn* pawn)
+    {
+        DroppedItem::createDefaultDrop(this, pawn, ColourValue(1.0f, 0.0f, 0.0f), 30.0f);
+        return this->removeFrom(pawn);
+    }
+}
Index: code/trunk/src/orxonox/objects/pickup/items/HealthUsable.h
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3073)
@@ -0,0 +1,82 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of HealthUsable.
+*/
+
+#ifndef _HealthUsable_H__
+#define _HealthUsable_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "../UsableItem.h"
+#include "util/Math.h"
+
+namespace orxonox
+{
+    class Pawn;
+
+    /**
+        @brief Health-item, enables player recover health when used.
+    */
+    class _OrxonoxExport HealthUsable : public UsableItem
+    {
+    public:
+        HealthUsable(BaseObject* creator);      //!< Constructor
+        virtual ~HealthUsable();                //!< Deconstructor
+
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+
+        virtual int getMaxCarryAmount() const
+            { return INT_MAX; }
+
+        virtual void used(Pawn* pawn);          //!< Called when the item is used.
+
+        virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
+        virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
+
+        /**
+            @brief Get the amount of jumps available.
+            @return Returns how many times the item can be used.
+        */
+        inline float getRecoveredHealth() const
+            { return this->recoveredHealth_; }
+        /**
+            @brief Set the amount of jumps available.
+            @param num New number of available jumps.
+        */
+        inline void setRecoveredHealth(float recovery)
+            { this->recoveredHealth_ = recovery; }
+    private:
+        float recoveredHealth_;    //!< Amount of jumps still available.
+    };
+}
+
+#endif /* _HealthUsable_H__ */
Index: code/trunk/src/orxonox/objects/pickup/items/Jump.cc
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/Jump.cc	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/Jump.cc	(revision 3073)
@@ -0,0 +1,108 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Implementation of Jump.
+*/
+
+#include "Jump.h"
+#include "DroppedItem.h"
+
+#include "objects/worldentities/pawns/Pawn.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "core/Core.h"
+
+namespace orxonox
+{
+    CreateFactory(Jump);
+
+    /**
+        @brief Constructor
+        @param creator Object that created this item.
+    */
+    Jump::Jump(BaseObject* creator) : UsableItem(creator)
+    {
+        RegisterObject(Jump);
+
+        this->velocity_ = Vector3(0.0f, 0.0f, 0.0f);
+        this->jumpsAvailable_ = 1;
+    }
+    //! Deconstructor
+    Jump::~Jump()
+    {
+    }
+    /**
+        @brief XMLPort for Jump.
+        @param xmlelement Element of the XML-file.
+        @param mode XMLPort mode to use.
+    */
+    void Jump::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(Jump, XMLPort, xmlelement, mode);
+
+        XMLPortParam(Jump, "velocity", setVelocity, getVelocity, xmlelement, mode);
+        XMLPortParam(Jump, "jumpsAvailable", setJumpsAvailable, getJumpsAvailable, xmlelement, mode);
+    }
+    /**
+        @brief Called when the item is used, makes the user "jump".
+        @param pawn Pawn which used te item.
+    */
+    void Jump::used(Pawn* pawn)
+    {
+        if (this->jumpsAvailable_ > 0){
+            pawn->setVelocity(pawn->getVelocity() + pawn->getOrientation() * this->velocity_);
+        }
+
+        this->jumpsAvailable_--;
+        if (this->jumpsAvailable_ <= 0)
+        {
+            this->removeFrom(pawn);
+            delete this;
+        }
+    }
+    /**
+        @brief Called when the item is picked up.
+        @param pawn Pawn which picked up the item.
+    */
+    bool Jump::pickedUp(Pawn* pawn)
+    {
+        return this->addTo(pawn);
+    }
+    /**
+        @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
+        @param pawn Pawn which dropped the item.
+    */
+    bool Jump::dropped(Pawn* pawn)
+    {
+        DroppedItem::createDefaultDrop(this, pawn, ColourValue(1.0f, 0.0f, 0.0f), 30.0f);
+        return this->removeFrom(pawn);
+    }
+}
Index: code/trunk/src/orxonox/objects/pickup/items/Jump.h
===================================================================
--- code/trunk/src/orxonox/objects/pickup/items/Jump.h	(revision 3073)
+++ code/trunk/src/orxonox/objects/pickup/items/Jump.h	(revision 3073)
@@ -0,0 +1,97 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of Jump.
+*/
+
+#ifndef _Jump_H__
+#define _Jump_H__
+
+#include <climits>
+
+#include "OrxonoxPrereqs.h"
+
+#include "UsableItem.h"
+#include "util/Math.h"
+
+namespace orxonox
+{
+    class Pawn;
+
+    /**
+        @brief Jump-item, enables player to "jump" into a direction.
+    */
+    class _OrxonoxExport Jump : public UsableItem
+    {
+    public:
+        Jump(BaseObject* creator);      //!< Constructor
+        virtual ~Jump();                //!< Deconstructor
+
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+
+        virtual int getMaxCarryAmount() const
+            { return INT_MAX; }
+
+        virtual void used(Pawn* pawn);          //!< Called when the item is used.
+
+        virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
+        virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
+
+        /**
+            @brief Get the velocity added when the item is used.
+            @return Returns the added velocity (relative to the Pawn).
+        */
+        inline const Vector3& getVelocity() const
+            { return this->velocity_; }
+        /**
+            @brief Set the velocity added when the item is used.
+            @param velocity New added velocity (relative to Pawn).
+        */
+        inline void setVelocity(const Vector3& velocity)
+            { this->velocity_ = velocity; }
+        /**
+            @brief Get the amount of jumps available.
+            @return Returns how many times the item can be used.
+        */
+        inline int getJumpsAvailable() const
+            { return this->jumpsAvailable_; }
+        /**
+            @brief Set the amount of jumps available.
+            @param num New number of available jumps.
+        */
+        inline void setJumpsAvailable(int num)
+            { this->jumpsAvailable_ = num; }
+    private:
+        Vector3 velocity_;      //!< The velocity added when the item is used.
+        int jumpsAvailable_;    //!< Amount of jumps still available.
+    };
+}
+
+#endif /* _Jump_H__ */
